[youtubei.js](../README.md) / OAuth2ClientID

# Type Alias: OAuth2ClientID

> **OAuth2ClientID** = `object`

Defined in: [src/core/OAuth2.ts:7](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/core/OAuth2.ts#L7)

## Properties

### client\_id

> **client\_id**: `string`

Defined in: [src/core/OAuth2.ts:8](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/core/OAuth2.ts#L8)

***

### client\_secret

> **client\_secret**: `string`

Defined in: [src/core/OAuth2.ts:9](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/core/OAuth2.ts#L9)
